#
# spec file for package gail (Version 1.8.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gtkdoc gzip info insserv iso_ent klogd less libacl libart_lgpl libart_lgpl-devel libattr libcom_err libdrm libgcc libgcrypt libglade2 libgnomecanvas libgnomecanvas-devel libgpg-error libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gail
BuildRequires:  gtkdoc libgnomecanvas-devel sgml-skel update-desktop-files
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
Summary:        The GNOME Accessibility Implementation Library
Version:        1.8.8
Release:        15.2
License:        LGPL
Group:          System/GUI/GNOME
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gail/1.6/gail-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.gnome.org

%description
This package contains libgail, which is an implementation of
accessibility interfaces on top of the ATK Library.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>      

%debug_package
%package devel
Summary:        GNOME Accessibility Implementation Library
Group:          System/GUI/GNOME
Requires:       %{name} = %{version} atk-devel gtk2-devel libgnomecanvas-devel

%description devel
This package contains libgail, which is an implementation of
accessibility interfaces on top of the ATK library.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>      

%package doc
Summary:        Additional Package Documentation.
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>      

%prep
%setup -q
%{?suse_update_config:%{suse_update_config -f}}

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib \
        --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/%_lib/*.so.*
%{prefix}/%_lib/gtk-2.0/modules/*.so

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/*.la
%{prefix}/%_lib/gtk-2.0/modules/*.la
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/gail-1.0

%files doc
%defattr(-, root, root)
%doc %{prefix}/share/gtk-doc/html/gail-libgail-util

%changelog -n gail
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 1.8.8
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 1.8.5 (GNOME 2.12)
- enable gtk-doc add docbook-xml-packages to nfb
* Tue Aug 02 2005 - ro@suse.de
- use gtk2-devel-packages in nfb
* Tue Jun 07 2005 - gekker@suse.de
- Update to 1.8.4.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Sun Jan 16 2005 - clahey@suse.de
- Updated to version 1.8.2.
* Wed Dec 15 2004 - gekker@suse.de
- Update to version 1.8.1
- Remove patches that have been moved upstream
* Sat Oct 30 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Apr 20 2004 - sbrabec@suse.cz
- Updated to version 1.6.2.
- Fixed most compiler warnings: strict aliasing, void return from
  non-void functions, typo errors, uninitialized variables, unused
  variables, unused functions and others.
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 1.6.1 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 1.4.1.
* Fri Sep 26 2003 - sbrabec@suse.cz
- Updated to version 1.4.0 (GNOME 2.4).
* Wed Jul 23 2003 - hhetter@suse.de
- really prefix to /opt/gnome
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Branched gail-doc.
* Thu Jul 10 2003 - sbrabec@suse.cz
- Repacked source file (fixes UID problem in Autobuild).
* Mon Jun 23 2003 - sbrabec@suse.cz
- Updated to version 1.2.2.
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 1.2.0 [GNOME 2.2.0]
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 1.1.7
* Fri Oct 18 2002 - sbrabec@suse.cz
- Update to version 0.17.
- Clean up %%files.
* Thu Jun 20 2002 - hhetter@suse.de
- prefix to /usr as gail is a GTK component
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 0.16
* Wed Jun 05 2002 - hhetter@suse.de
- updated to version 0.15, source frozen
* Wed May 15 2002 - ro@suse.de
- fixed typo in specfile (another %%_lib)
* Wed May 15 2002 - ro@suse.de
- move pkgconfig file to %%_lib/pkgconfig
* Fri May 10 2002 - ro@suse.de
- re-pack tar-file to have 16-bit uids only
- fix libdir
* Tue May 07 2002 - ro@suse.de
- updated to 0.13
- many bugfixes
- move util directory to libgail-util
- install pkgconfig file to /usr/lib/pkgconfig
* Tue Apr 16 2002 - hhetter@suse.de
- initial SuSE package
